Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::ScreenVideoParameters Struct Reference

`#include <AgoraBase.h>`

## Public Member Functions
| ScreenVideoParameters ()

## Public Attributes
VideoDimensions | dimensions
int | frameRate = 15
int | bitrate
VIDEO_CONTENT_HINT | contentHint = VIDEO_CONTENT_HINT::CONTENT_HINT_MOTION

## Detailed Description

The video configuration for the shared screen stream.

## Constructor & Destructor Documentation

## ◆ ScreenVideoParameters()

agora::rtc::ScreenVideoParameters::ScreenVideoParameters | ( |  | ) |
| inline

## Member Data Documentation

## ◆ dimensions

VideoDimensions agora::rtc::ScreenVideoParameters::dimensions

The dimensions of the video encoding resolution. The default value is `1280` x `720`. For recommended values, see Recommended video profiles. If the aspect ratio is different between width and height and the screen, the SDK adjusts the video encoding resolution according to the following rules (using an example where `width` × `height` is 1280 × 720):

- When the width and height of the screen are both lower than `width` and `height`, the SDK uses the resolution of the screen for video encoding. For example, if the screen is 640 × 360, The SDK uses 640 × 360 for video encoding.
- When either the width or height of the screen is higher than `width` or `height`, the SDK uses the maximum values that do not exceed those of `width` and `height` while maintaining the aspect ratio of the screen for video encoding. For example, if the screen is 2000 × 1500, the SDK uses 960 × 720 for video encoding.

Note
  - The billing of the screen sharing stream is based on the values of width and height. When you do not pass in these values, Agora bills you at 1280 × 720; when you pass in these values, Agora bills you at those values. For details, see Pricing for Real-time Communication.
  - This value does not indicate the orientation mode of the output ratio. For how to set the video orientation, see `ORIENTATION_MODE`.
  - Whether the SDK can support a resolution at 720P depends on the performance of the device. If you set 720P but the device cannot support it, the video frame rate can be lower.

## ◆ frameRate

int agora::rtc::ScreenVideoParameters::frameRate = 15

The video encoding frame rate (fps). The default value is `15`. For recommended values, see Recommended video profiles.

## ◆ bitrate

int agora::rtc::ScreenVideoParameters::bitrate

The video encoding bitrate (Kbps). For recommended values, see Recommended video profiles.

## ◆ contentHint

VIDEO_CONTENT_HINT agora::rtc::ScreenVideoParameters::contentHint = VIDEO_CONTENT_HINT::CONTENT_HINT_MOTION